/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ead.scacchieraquadr;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Rectangle;

/**
 *
 * @author Renato
 */
public class Scacchiera {

    // Numero di caselle, lato di ogni casella, colori alternati delle caselle
    private int numCaselle;
    private int lunghezza;
    private Color color1;
    private Color color2;

    // Costruttore
    public Scacchiera(int num, int l, Color c1, Color c2) {
        numCaselle = num;
        lunghezza = l;
        color1 = c1;
        color2 = c2;

    }

    // Disegno della scacchiera
    public void draw(Graphics2D g2) {

        for (int j = 1; j <= numCaselle; j++) {
            for (int i = 1; i <= numCaselle; i++) {
                // Creazione della casella
                Rectangle r = new Rectangle((i - 1) * lunghezza, (j - 1) * lunghezza, lunghezza, lunghezza);
                // Alternanza dei colori
                if ((i + j) % 2 == 0) {
                    g2.setColor(color1);
                } else {
                    g2.setColor(color2);
                }
                // Disegno della casella
                g2.fill(r);
            }

        }

    }

}
